Page MenuHomePhabricator

UNIQ Error from using {{#tag:}} with pipe in nowiki
Closed, ResolvedPublic

Description

On mediawiki.org:

{{phpi|1=<nowiki>!isset( $var ) || !$var</nowiki>}}

// Results in
UNIQ09b61f9b074499c5-nowiki-00000002-QINU

Reduced test case:

{{#tag:syntaxhighlight
|<nowiki>|</nowiki>
|lang=php
|enclose=none
}}

Event Timeline

Krinkle created this task.Dec 13 2014, 3:22 AM
Krinkle updated the task description. (Show Details)
Krinkle raised the priority of this task from to Needs Triage.
Krinkle added a project: MediaWiki-Parser.
Krinkle changed Security from none to None.
Krinkle added a subscriber: Krinkle.

You can workaround with: {{phpi|1=!isset( $var ) {{!}}{{!}} !$var}}

Aklapper triaged this task as Low priority.Mar 23 2015, 5:19 PM

Change 289884 had a related patch set uploaded (by Chad):
SECURITY: Replace strip markers before syntax highlighting

https://gerrit.wikimedia.org/r/289884

Change 289885 had a related patch set uploaded (by Chad):
SECURITY: Replace strip markers before syntax highlighting

https://gerrit.wikimedia.org/r/289885

Change 289884 merged by jenkins-bot:
SECURITY: Replace strip markers before syntax highlighting

https://gerrit.wikimedia.org/r/289884

Change 289885 merged by jenkins-bot:
SECURITY: Replace strip markers before syntax highlighting

https://gerrit.wikimedia.org/r/289885

TheDJ added a subscriber: TheDJ.Apr 27 2017, 2:18 PM

This seems as if it is now fixed ?

Krinkle closed this task as Resolved.Apr 28 2017, 8:45 PM
Krinkle assigned this task to demon.

Indeed. Confirmed on mediawiki.org using the original test case:

{{#tag:syntaxhighlight
|<nowiki>|</nowiki>
|lang=php
|enclose=none
}}

Now works as expected and renders a (literal) pipe character in a preformatted area.

Restricted Application added a subscriber: jeblad. · View Herald TranscriptOct 13 2018, 3:56 AM